osl::ntesuki::NtesukiSearcher::CallSimulationAttack< Search, T > Class Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::ntesuki::NtesukiSearcher::CallSimulationAttack< Search, T > Class Template Reference
Collaboration diagram for osl::ntesuki::NtesukiSearcher::CallSimulationAttack< Search, T >:
[legend]

## Public Member Functions
| CallSimulationAttack (Search &simulator, NtesukiTable &table, NtesukiRecord *record, const NtesukiRecord *record_orig, unsigned int pass_left, bool &simulation_result, const Move last_move)
void | operator() (Square last_to)

## Private Attributes
Search & | simulator
NtesukiTable & | table
NtesukiRecord * | record
const NtesukiRecord * | record_orig
unsigned int | pass_left
bool & | simulation_result
const Move | last_move

## Detailed Description

### template<class Search, Player T>
class osl::ntesuki::NtesukiSearcher::CallSimulationAttack< Search, T >

Definition at line 105 of file ntesukiSearcher.h.

## Constructor & Destructor Documentation

template<class Search, Player T>

osl::ntesuki::NtesukiSearcher::CallSimulationAttack< Search, T >::CallSimulationAttack | ( | Search & | simulator,
|  | NtesukiTable & | table,
|  | NtesukiRecord * | record,
|  | const NtesukiRecord * | record_orig,
|  | unsigned int | pass_left,
|  | bool & | simulation_result,
|  | const Move | last_move
| ) |  |
| inline

Definition at line 154 of file ntesukiSearcher.tcc.

## Member Function Documentation

template<class Search, Player T>

void osl::ntesuki::NtesukiSearcher::CallSimulationAttack< Search, T >::operator() | ( | Square | last_to) |  |
| inline

Definition at line 169 of file ntesukiSearcher.tcc.

## Member Data Documentation

template<class Search, Player T>

const Move osl::ntesuki::NtesukiSearcher::CallSimulationAttack< Search, T >::last_move
| private

Definition at line 151 of file ntesukiSearcher.tcc.

template<class Search, Player T>

unsigned int osl::ntesuki::NtesukiSearcher::CallSimulationAttack< Search, T >::pass_left
| private

Definition at line 149 of file ntesukiSearcher.tcc.

template<class Search, Player T>

NtesukiRecord* osl::ntesuki::NtesukiSearcher::CallSimulationAttack< Search, T >::record
| private

Definition at line 147 of file ntesukiSearcher.tcc.

template<class Search, Player T>

const NtesukiRecord* osl::ntesuki::NtesukiSearcher::CallSimulationAttack< Search, T >::record_orig
| private

Definition at line 148 of file ntesukiSearcher.tcc.

template<class Search, Player T>

bool& osl::ntesuki::NtesukiSearcher::CallSimulationAttack< Search, T >::simulation_result
| private

Definition at line 150 of file ntesukiSearcher.tcc.

template<class Search, Player T>

Search& osl::ntesuki::NtesukiSearcher::CallSimulationAttack< Search, T >::simulator
| private

Definition at line 145 of file ntesukiSearcher.tcc.

template<class Search, Player T>

NtesukiTable& osl::ntesuki::NtesukiSearcher::CallSimulationAttack< Search, T >::table
| private

Definition at line 146 of file ntesukiSearcher.tcc.

The documentation for this class was generated from the following files:

- ntesukiSearcher.h
- ntesukiSearcher.tcc